Skip to main content
GET
/
internal
/
dogfood
/
support
/
conversations
List conversations for the current user
curl --request GET \
  --url https://api.stack-auth.com/api/v1/internal/dogfood/support/conversations
{
  "conversations": [
    {
      "conversation_id": "<string>",
      "subject": "<string>",
      "status": "<string>",
      "priority": "<string>",
      "source": "<string>",
      "last_message_type": "<string>",
      "last_activity_at": "<string>",
      "metadata": {
        "tags": [
          "<string>"
        ],
        "assigned_to_user_id": "<string>",
        "assigned_to_display_name": "<string>",
        "first_response_due_at": "<string>",
        "first_response_at": "<string>",
        "next_response_due_at": "<string>",
        "last_customer_reply_at": "<string>",
        "last_agent_reply_at": "<string>"
      },
      "user_id": "<string>",
      "team_id": "<string>",
      "user_display_name": "<string>",
      "user_primary_email": "<string>",
      "user_profile_image_url": "<string>",
      "preview": "<string>"
    }
  ],
  "has_more": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.hexclave.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

query
string
limit
string
offset
string

Response

200 - application/json

Successful response

conversations
object[]
required
has_more
boolean
required